# Delete a checkout

`DELETE https://app.shuttleglobal.com/c/api/instances/{instance_key}/checkouts/{nonce}`

Delete (invalidate) a checkout session. The checkout will no longer be usable.

## Authentication

- basicAuth: Basic Authentication using secret key
- bearerAuth: OAuth 2.0 Bearer Token Authentication

## Parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `nonce` | path | string | yes | The checkout's `id` (its nonce), as returned when you created it. |

## Responses

### 204: Checkout session deleted

### 401: Unauthorised: the API key is missing or not valid

```json
{
  "code": "UNAUTHORIZED",
  "message": "Unauthorised"
}
```

## Example request

```sh
curl --request DELETE \
  --url https://app.shuttleglobal.com/c/api/instances/YOUR_INSTANCE_KEY/checkouts/NONCE \
  --header 'Authorization: Basic <base64 of SECRET_KEY:>'
```

Reference page: https://docs.shuttleglobal.com/platforms/reference/operations/deletecheckout/